[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: update trouble / serious dpkg problem (solved)

On Sunday 22 December 2002 13:55, Armin Joellenbeck wrote:
> Hello all,
> I have updated today with some error at the upgrade of libc.
> Now all apt and dpkg leads to:
> dpkg: cannot scan updates directory `/var/lib/dpkg/updates/':
> Function not implemented
> Seems to be a libc problem because the command ls leads to:
> ls: reading directory .: Function not implemented
> How can I solve this situation?
> Greetings,
> Armin


I was able to downgrade my libc by unpacking
with ar and tar in the /tmp directory.

Then a
  # export LD_PRELOAD=/tmp/lib/libc-2.3.1.so
had given me control back, i.e. my dpkg was then well enough to 
downgrade te normal way.


Reply to: